Page MenuHomePhabricator

llvm: Use quotes around MSVC_DIA_SDK_DIR CMake variable
ClosedPublic

Authored by cristian.adam on Feb 13 2020, 8:16 AM.

Details

Reviewers
zturner
mstorsjo
Summary

MSVC_DIA_SDK_DIR variable will point to a path which contains spaces, and without quotes it will fail to configure the project.

Diff Detail

Event Timeline

cristian.adam created this revision.Feb 13 2020, 8:16 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 13 2020, 8:16 AM
This revision is now accepted and ready to land.Feb 13 2020, 9:16 AM

I do not have commit rights, I need help to submit this patch.

I can try to get it committed soon. What form do you want for the author line, "Cristian Adam <cristian.adam@gmail.com>"?

I can try to get it committed soon. What form do you want for the author line, "Cristian Adam <cristian.adam@gmail.com>"?

That's good. Thank you.

This could also be cherry-picked for release/10.x. Would close https://bugs.llvm.org/show_bug.cgi?id=44906

mstorsjo added a subscriber: hans.Feb 18 2020, 4:46 AM

Committed in d6fe253653b7e760f94ca21d0a7ebbfeeee28777 (I forgot the Differential Revision: tag, sorry).

@hans - this would be a safe backport to 10.x.

hans added a comment.Feb 19 2020, 4:20 AM

Committed in d6fe253653b7e760f94ca21d0a7ebbfeeee28777 (I forgot the Differential Revision: tag, sorry).

@hans - this would be a safe backport to 10.x.

Pushed as 3dee8be1c3fe621b9c1926658f6c0df72ce804be. Thanks!

mstorsjo closed this revision.Feb 19 2020, 1:30 PM

Committed and backported. Thanks!